CREATE OR REPLACE LIBRARY ivmail IS 'libOraMail.so';
/
show err

-- returns 0 on success
CREATE OR REPLACE FUNCTION IV_send_mail(send_to IN VARCHAR2,sent_from VARCHAR2,
					headers CLOB DEFAULT NULL,message CLOB
					)
				 RETURN BINARY_INTEGER
    AS EXTERNAL
        LIBRARY ivmail
		NAME "DoSendMail"
		LANGUAGE C
		WITH CONTEXT
		PARAMETERS (
			CONTEXT,
			send_to,sent_from,
			headers,headers INDICATOR,
			message, message INDICATOR,
			RETURN INT
		);
/
show err

drop public synonym IV_send_mail;
create public synonym IV_send_mail for IV_send_mail;
grant execute on IV_send_mail to public;

@mail_spec
@mail_bd

