CREATE OR REPLACE PACKAGE iv_mail
AS
    TYPE message IS RECORD
    (
	send_to		VARCHAR2(255),
	sent_from	VARCHAR2(255),
	headers		CLOB,
	msgbody		CLOB
    );
    PROCEDURE init_msg(msg IN OUT message,send_to VARCHAR2,sent_from VARCHAR2,subject VARCHAR2);
    PROCEDURE add_header(msg IN OUT message,header VARCHAR2);
    PROCEDURE write(msg IN OUT message,line VARCHAR2);
    PROCEDURE writeln(msg IN OUT message,line VARCHAR2);
    PROCEDURE send(msg IN OUT message);
    PROCEDURE discard(msg IN OUT message);
END iv_mail;
/
show err

DROP PUBLIC SYNONYM iv_mail;
CREATE PUBLIC SYNONYM iv_mail FOR iv_mail;

GRANT EXECUTE ON IV_MAIL TO PUBLIC;
